#preloader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: #000000;
}

#loading {
    width: 150px;
    height: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    animation: pulse 2s infinite, fadeInOut 2s infinite;
    /* border-top: 10px solid #D3D3D3; 
    border-radius: 50%; 
    border: 3px solid #D3D3D3; */
    /* box-shadow: 0 0 5px #D3D3D3, 0 0 10px #D3D3D3, 0 0 15px #D3D3D3, 0 0 20px #D3D3D3; */
    filter: drop-shadow(2px 2px 20px #ffffff);
}

/* 
@keyframes pulse {
    0% {
        box-shadow: 0 0 5px #ea19d2, 0 0 10px #ea19d2, 0 0 15px #ea19d2, 0 0 20px #ea19d2;
    }
    50% {
        box-shadow: 0 0 10px #ea19d2, 0 0 20px #ea19d2, 0 0 30px #ea19d2, 0 0 40px #ea19d2;
    }
    100% {
        box-shadow: 0 0 5px #ea19d2, 0 0 10px #ea19d2, 0 0 15px #ea19d2, 0 0 20px #ea19d2;
    }
} */

@keyframes fadeInOut {
    0% {
    opacity: 0;
    }
    50% {
    opacity: 1;
    }
    100% {
    opacity: 0;
    }
}